# -*- coding: utf-8 -*-

import _common

class Battle(object):

    def __init__(self):
        self.apis = [
        ]
        self.internalApis = [
            {
                'desc': '服务器战报(客户端不用处理)battleReport',
                'group': 'User',
                'url': 'webapp/index.php?c=Battle&a=battleReport',
                'params': [
                    _common.ReqHead(),
                    ['map_id', 0, '地图id'],
                    ['map_tpl_name', '', '地图模板名'],
                    ['room_uuid', 0, '房间唯一id'],
                    ['map_name', '', '地图名'],
                    ['team_mode', 0, '队伍模式 0:单人 1：组队'],
                    ['game_time', 0, '游戏时间'],
                    ['alive_time', 0, '存活时间'],
                    ['ranked', 0, '排名'],
                    ['kills', 0, '击杀数'],
                    ['damage_out', 0, '伤害输出'],
                    ['rescue_teammate_times', 0, '救起队友次数'],
                    ['weapons', 0, '使用武器击杀人数 武器id:击杀数:伤害数|'],
                    ['diving_times', 0, '潜水次数'],
                    ['damage_in', 0, '伤害输入'],
                    ['recover_hp', 0, '治疗量'],
                    ['open_airdrop_times', 0, '开启空投补给次数'],
                    ['skill_lv_up', 0, '英雄升级 英雄id:等级|'],
                    ['weapon_lv_up', 0, '英雄武器升级 英雄id:等级|'],
                    ['use_medicine_times', 0, '使用药物次数'],
                    ['destory_car_times', 0, '破坏载具次数'],
                    ['use_camouflage_times', 0, '使用伪装物'],
                    ['use_skill_times', 0, '使用技能次数'],
                    ['ride_car_move_distance', 0, '驾驶或乘坐载具累计移动X米'],
                    ['ride_car_kills', 0, '驾驶或乘坐载具累计击杀X个敌人'],

                    ['rank_score', 0, '排位积分'],
                    ['pass_score', 0, '通行证积分'],
                    ['items', 0, '道具|分割'],
                ],
                'response': [
                    _common.RspHead(),
                ]
            },
        ]
